"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var typed_inject_1 = require("typed-inject");
var plugin_1 = require("stryker-api/plugin");
var di_1 = require("../di");
/**
 * Class that applies all config editor plugins
 */
var ConfigEditorApplier = /** @class */ (function () {
    function ConfigEditorApplier(pluginResolver, pluginCreator) {
        this.pluginResolver = pluginResolver;
        this.pluginCreator = pluginCreator;
    }
    ConfigEditorApplier.prototype.edit = function (config) {
        var _this = this;
        this.pluginResolver.resolveAll(plugin_1.PluginKind.ConfigEditor).forEach(function (plugin) {
            var configEditor = _this.pluginCreator.create(plugin.name);
            configEditor.edit(config);
        });
    };
    ConfigEditorApplier.inject = typed_inject_1.tokens(plugin_1.commonTokens.pluginResolver, di_1.coreTokens.pluginCreatorConfigEditor);
    return ConfigEditorApplier;
}());
exports.ConfigEditorApplier = ConfigEditorApplier;
//# sourceMappingURL=ConfigEditorApplier.js.map