import { TestFramework } from 'stryker-api/test_framework';
import { StrykerOptions } from 'stryker-api/core';
import { Logger } from 'stryker-api/logging';
export default class ConfigValidator {
    private readonly log;
    private readonly options;
    private readonly testFramework;
    private isValid;
    static inject: ["logger", "options", "testFramework"];
    constructor(log: Logger, options: Readonly<StrykerOptions>, testFramework: TestFramework | null);
    validate(): void;
    private validateTestFramework;
    private validateMutator;
    private validateThresholds;
    validatePort(): void;
    private validateThresholdValue;
    private validateThresholdsValueExists;
    private validateLogLevel;
    private validateTimeout;
    private validateCoverageAnalysis;
    private validateCoverageAnalysisWithRespectToTranspilers;
    private crashIfNeeded;
    private validateIsNumber;
    private validateIsString;
    private validateIsStringArray;
    private invalidate;
    private deprecate;
    private joinQuotedList;
}
//# sourceMappingURL=ConfigValidator.d.ts.map