import { Logger } from 'stryker-api/logging';
import { PluginResolver, Plugins } from 'stryker-api/plugin';
export declare class PluginLoader implements PluginResolver {
    private readonly log;
    private readonly pluginDescriptors;
    private readonly pluginsByKind;
    static inject: ["logger", "pluginDescriptors"];
    constructor(log: Logger, pluginDescriptors: ReadonlyArray<string>);
    load(): void;
    resolve<T extends keyof Plugins>(kind: T, name: string): Plugins[T];
    resolveAll<T extends keyof Plugins>(kind: T): Plugins[T][];
    private loadDeprecatedPlugins;
    private loadDeprecatedPluginsFor;
    private resolvePluginModules;
    private requirePlugin;
    private loadPlugin;
    private isPluginModule;
}
//# sourceMappingURL=PluginLoader.d.ts.map