import { commonTokens, OptionsContext, Injector, PluginKind, PluginResolver } from 'stryker-api/plugin';
import { coreTokens, PluginCreator } from '.';
import { LoggerFactoryMethod, Logger } from 'stryker-api/logging';
import { Config } from 'stryker-api/config';
export declare function pluginResolverFactory(injector: Injector<{
    [commonTokens.logger]: Logger;
    [coreTokens.pluginDescriptors]: ReadonlyArray<string>;
}>): PluginResolver;
export declare namespace pluginResolverFactory {
    var inject: ["$injector"];
}
export declare function testFrameworkFactory(injector: Injector<OptionsContext & {
    [coreTokens.pluginCreatorTestFramework]: PluginCreator<PluginKind.TestFramework>;
}>): import("stryker-api/src/test_framework/TestFramework").default | null;
export declare namespace testFrameworkFactory {
    var inject: ["$injector"];
}
export declare function loggerFactory(getLogger: LoggerFactoryMethod, target: Function | undefined): Logger;
export declare namespace loggerFactory {
    var inject: ["getLogger", "$target"];
}
export declare function optionsFactory(config: Config): Config;
export declare namespace optionsFactory {
    var inject: ["config"];
}
//# sourceMappingURL=factoryMethods.d.ts.map