"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var plugin_1 = require("stryker-api/plugin");
var TestFrameworkOrchestrator_1 = require("../TestFrameworkOrchestrator");
var _1 = require(".");
function pluginResolverFactory(injector) {
    var pluginLoader = injector.injectClass(_1.PluginLoader);
    pluginLoader.load();
    return pluginLoader;
}
exports.pluginResolverFactory = pluginResolverFactory;
pluginResolverFactory.inject = plugin_1.tokens(plugin_1.commonTokens.injector);
function testFrameworkFactory(injector) {
    return injector.injectClass(TestFrameworkOrchestrator_1.default).determineTestFramework();
}
exports.testFrameworkFactory = testFrameworkFactory;
testFrameworkFactory.inject = plugin_1.tokens(plugin_1.commonTokens.injector);
function loggerFactory(getLogger, target) {
    return getLogger(target ? target.name : 'UNKNOWN');
}
exports.loggerFactory = loggerFactory;
loggerFactory.inject = plugin_1.tokens(plugin_1.commonTokens.getLogger, plugin_1.commonTokens.target);
function optionsFactory(config) {
    return config;
}
exports.optionsFactory = optionsFactory;
optionsFactory.inject = plugin_1.tokens(plugin_1.commonTokens.config);
//# sourceMappingURL=factoryMethods.js.map