"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var initializerTokens = require("./initializerTokens");
exports.initializerTokens = initializerTokens;
var StrykerInitializer_1 = require("./StrykerInitializer");
var typed_inject_1 = require("typed-inject");
var typed_rest_client_1 = require("typed-rest-client");
var NpmClient_1 = require("./NpmClient");
var plugin_1 = require("stryker-api/plugin");
var factoryMethods_1 = require("../di/factoryMethods");
var log4js_1 = require("log4js");
var StrykerPresets_1 = require("./StrykerPresets");
var StrykerConfigWriter_1 = require("./StrykerConfigWriter");
var StrykerInquirer_1 = require("./StrykerInquirer");
exports.BASE_NPM_SEARCH = 'https://api.npms.io';
exports.BASE_NPM_PACKAGE = 'https://registry.npmjs.org';
function initializerFactory() {
    return typed_inject_1.rootInjector
        .provideValue(plugin_1.commonTokens.getLogger, log4js_1.getLogger)
        .provideFactory(plugin_1.commonTokens.logger, factoryMethods_1.loggerFactory)
        .provideValue(initializerTokens.out, console.log)
        .provideValue(initializerTokens.strykerPresets, StrykerPresets_1.default)
        .provideValue(initializerTokens.restClientNpmSearch, new typed_rest_client_1.RestClient('npmSearch', exports.BASE_NPM_SEARCH))
        .provideValue(initializerTokens.restClientNpm, new typed_rest_client_1.RestClient('npm', exports.BASE_NPM_PACKAGE))
        .provideClass(initializerTokens.npmClient, NpmClient_1.default)
        .provideClass(initializerTokens.configWriter, StrykerConfigWriter_1.default)
        .provideClass(initializerTokens.inquirer, StrykerInquirer_1.StrykerInquirer)
        .injectClass(StrykerInitializer_1.default);
}
exports.initializerFactory = initializerFactory;
//# sourceMappingURL=index.js.map