import { Logger } from 'stryker-api/logging';
import { StrykerOptions } from 'stryker-api/core';
import { Mutant } from 'stryker-api/mutant';
import TestableMutant from '../TestableMutant';
import StrictReporter from '../reporters/StrictReporter';
import { InitialTestRunResult } from '../process/InitialTestExecutor';
import InputFileCollection from '../input/InputFileCollection';
export declare class MutantTestMatcher {
    private readonly log;
    private readonly options;
    private readonly reporter;
    private readonly input;
    private readonly initialRunResult;
    static inject: ["logger", "options", "reporter", "inputFiles", "initialRunResult"];
    constructor(log: Logger, options: StrykerOptions, reporter: StrictReporter, input: InputFileCollection, initialRunResult: InitialTestRunResult);
    private readonly baseline;
    matchWithMutants(mutants: ReadonlyArray<Mutant>): ReadonlyArray<TestableMutant>;
    enrichWithCoveredTests(testableMutant: TestableMutant): void;
    private isCoveredByBaseline;
    private isCoveredByTest;
    private isCoveredByCoverageCollection;
    private createTestableMutants;
    /**
     * Map the Mutant object on the MatchMutant Object.
     * @param testableMutant The mutant.
     * @returns The MatchedMutant
     */
    private mapMutantOnMatchedMutant;
    private findMatchingStatement;
    /**
     * Finds the smallest statement that covers a location
     * @param needle The location to find.
     * @param haystack the statement map or function map to search in.
     * @returns The index of the smallest statement surrounding the location, or null if not found.
     */
    private findMatchingStatementInMap;
    private findCoverageCollectionForTest;
    private isCoveragePerTestResult;
}
//# sourceMappingURL=MutantTestMatcher.d.ts.map