import { File, StrykerOptions } from 'stryker-api/core';
import { Mutant, Mutator } from 'stryker-api/mutant';
import { PluginKind } from 'stryker-api/plugin';
import { PluginCreator } from '../di';
import { Logger } from 'stryker-api/logging';
export declare class MutatorFacade implements Mutator {
    private readonly options;
    private readonly pluginCreator;
    private readonly log;
    static inject: ["options", "pluginCreatorMutator", "logger"];
    constructor(options: StrykerOptions, pluginCreator: PluginCreator<PluginKind.Mutator>, log: Logger);
    mutate(inputFiles: ReadonlyArray<File>): ReadonlyArray<Mutant>;
    private removeExcludedMutants;
    private getMutatorName;
    private logMutantCount;
}
//# sourceMappingURL=MutatorFacade.d.ts.map