import { TestRunner, RunResult, RunOptions } from 'stryker-api/test_runner';
import LoggingClientContext from '../logging/LoggingClientContext';
import { StrykerOptions } from 'stryker-api/core';
/**
 * Runs the given test runner in a child process and forwards reports about test results
 */
export default class ChildProcessTestRunnerDecorator implements TestRunner {
    private readonly worker;
    constructor(options: StrykerOptions, sandboxFileNames: ReadonlyArray<string>, sandboxWorkingDirectory: string, loggingContext: LoggingClientContext);
    init(): Promise<void>;
    run(options: RunOptions): Promise<RunResult>;
    dispose(): Promise<void>;
}
//# sourceMappingURL=ChildProcessTestRunnerDecorator.d.ts.map