"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ChildProcessTestRunnerDecorator_1 = require("./ChildProcessTestRunnerDecorator");
var TimeoutDecorator_1 = require("./TimeoutDecorator");
var RetryDecorator_1 = require("./RetryDecorator");
var CommandTestRunner_1 = require("../test-runner/CommandTestRunner");
exports.default = {
    create: function (options, sandboxFileNames, sandboxWorkingDirectory, loggingContext) {
        if (CommandTestRunner_1.default.is(options.testRunner)) {
            return new RetryDecorator_1.default(function () { return new TimeoutDecorator_1.default(function () { return new CommandTestRunner_1.default(sandboxWorkingDirectory, options); }); });
        }
        else {
            return new RetryDecorator_1.default(function () {
                return new TimeoutDecorator_1.default(function () { return new ChildProcessTestRunnerDecorator_1.default(options, sandboxFileNames, sandboxWorkingDirectory, loggingContext); });
            });
        }
    }
};
//# sourceMappingURL=ResilientTestRunnerFactory.js.map