"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ChildProcessTranspilerWorker_1 = require("./ChildProcessTranspilerWorker");
var ChildProcessProxy_1 = require("../child-proxy/ChildProcessProxy");
var plugin_1 = require("stryker-api/plugin");
var di_1 = require("../di");
var ChildProcessTranspiler = /** @class */ (function () {
    function ChildProcessTranspiler(options, loggingContext, produceSourceMaps) {
        var _a;
        this.childProcess = ChildProcessProxy_1.default.create(require.resolve("./" + ChildProcessTranspilerWorker_1.ChildProcessTranspilerWorker.name), loggingContext, options, (_a = {}, _a[plugin_1.commonTokens.produceSourceMaps] = produceSourceMaps, _a), process.cwd(), ChildProcessTranspilerWorker_1.ChildProcessTranspilerWorker);
    }
    ChildProcessTranspiler.prototype.transpile = function (files) {
        return this.childProcess.proxy.transpile(files);
    };
    ChildProcessTranspiler.prototype.dispose = function () {
        this.childProcess.dispose();
    };
    ChildProcessTranspiler.inject = plugin_1.tokens(plugin_1.commonTokens.options, di_1.coreTokens.loggingContext, plugin_1.commonTokens.produceSourceMaps);
    return ChildProcessTranspiler;
}());
exports.ChildProcessTranspiler = ChildProcessTranspiler;
//# sourceMappingURL=ChildProcessTranspiler.js.map