"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var di_1 = require("../di");
var plugin_1 = require("stryker-api/plugin");
var PluginCreator_1 = require("../di/PluginCreator");
var TranspilerFacade_1 = require("./TranspilerFacade");
var ChildProcessTranspilerWorker = /** @class */ (function () {
    function ChildProcessTranspilerWorker(injector) {
        this.innerTranspiler = injector
            .provideFactory(di_1.coreTokens.pluginCreatorTranspiler, PluginCreator_1.PluginCreator.createFactory(plugin_1.PluginKind.Transpiler))
            .injectClass(TranspilerFacade_1.TranspilerFacade);
    }
    ChildProcessTranspilerWorker.prototype.transpile = function (files) {
        return this.innerTranspiler.transpile(files);
    };
    ChildProcessTranspilerWorker.inject = [plugin_1.commonTokens.injector];
    return ChildProcessTranspilerWorker;
}());
exports.ChildProcessTranspilerWorker = ChildProcessTranspilerWorker;
//# sourceMappingURL=ChildProcessTranspilerWorker.js.map