"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ChildProcessTranspiler_1 = require("./ChildProcessTranspiler");
var plugin_1 = require("stryker-api/plugin");
var di_1 = require("../di");
/**
 * Creates a transpiler. If one is configured, spawns that in a child process
 */
function transpilerFactory(options, injector) {
    if (options.transpilers.length) {
        return injector.injectClass(ChildProcessTranspiler_1.ChildProcessTranspiler);
    }
    else {
        return {
            transpile: function (files) {
                return Promise.resolve(files);
            },
            dispose: function () {
                // noop
            }
        };
    }
}
exports.transpilerFactory = transpilerFactory;
transpilerFactory.inject = plugin_1.tokens(plugin_1.commonTokens.options, plugin_1.commonTokens.injector);
//# sourceMappingURL=index.js.map